Module ij
Package ij.plugin

# Class PlugInInterpreter

java.lang.Object
ij.plugin.PlugInInterpreter

All Implemented Interfaces:
  `PlugIn`

public abstract class PlugInInterpreter extends Object implements PlugIn
Plugins that run scripts (e.g., BeanShell, Jython) extend this class.

## Constructor Summary

Constructors
Constructor
Description
`PlugInInterpreter()`

## Method Summary

Modifier and Type
Method
Description
`abstract String`
`getImports()`
Returns the import statements that are added to the script.
`abstract String`
`getName()`
Returns the name of this PlugInInterpreter.
`abstract String`
`getReturnValue()`
Returns the value returned by the script, if any, or null.
`abstract String`
`getVersion()`
Returns the version of ImageJ at the time this plugin was created.
`void`
`run(String script)`
Run script on separate thread.
`abstract String`
`run(String script, String arg)`
Run script on current thread.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlugInInterpreter

public PlugInInterpreter()

## Method Details

### run

public void run(String script)
Run script on separate thread.

Specified by:
  `run` in interface `PlugIn`

### run

public abstract String run(String script, String arg)
Run script on current thread.

### getReturnValue

public abstract String getReturnValue()
Returns the value returned by the script, if any, or null.

### getName

public abstract String getName()
Returns the name of this PlugInInterpreter.

### getImports

public abstract String getImports()
Returns the import statements that are added to the script.

### getVersion

public abstract String getVersion()
Returns the version of ImageJ at the time this plugin was created.